--
-- MR TTVFunctions
-- Specialization for MR TTVFunctions
--
-- @author  	bisailb79
-- @version 	v1.0 MR
-- @date  		2013-12-13
-- @history:	v1.0 - Initial version
--

TTVFunctions = {};

function TTVFunctions.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function TTVFunctions:load(xmlFile)
end;

function TTVFunctions:delete()
end;

function TTVFunctions:mouseEvent(posX, posY, isDown, isUp, button)
end;

function TTVFunctions:keyEvent(unicode, sym, modifier, isDown)
end;

function TTVFunctions:update(dt)
end;

function TTVFunctions:draw()
    -- Add Beleuchtung Help Button Text
	if self.isEntered then	
       g_currentMission:addHelpButtonText(g_i18n:getText("BEL3LEFT"), InputBinding.BEL3LEFT);
       g_currentMission:addHelpButtonText(g_i18n:getText("BEL3WARN"), InputBinding.BEL3WARN);
       g_currentMission:addHelpButtonText(g_i18n:getText("BEL3RIGHT"), InputBinding.BEL3RIGHT);
	end;
	-- Add manualIgnition Warning Text
	if Input.isKeyPressed(Input.KEY_w) then
		if not self.isMotorStarted then
			g_currentMission:addWarning(g_i18n:getText("IGNITION_WARNING"), 0.015, 0.030);
		end;
	end;
	if Input.isKeyPressed(Input.KEY_s) then
		if not self.isMotorStarted then
			g_currentMission:addWarning(g_i18n:getText("IGNITION_WARNING"), 0.015, 0.030);
		end;
	end;
	-- Add MoreRealistic Help Button Text
	if self.isEntered then	
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_TRANSMISSION_MODE"), InputBinding.REALISTIC_TRANSMISSION_MODE);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_SHUTTLE_DIRECTION"), InputBinding.REALISTIC_SHUTTLE_DIRECTION);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_SPEEDLIMITER_INC"), InputBinding.REALISTIC_SPEEDLIMITER_INC);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_SPEEDLIMITER_DEC"), InputBinding.REALISTIC_SPEEDLIMITER_DEC);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_LOCK_STEERING"), InputBinding.REALISTIC_LOCK_STEERING);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_SET_SPEED_LEVEL_LIMIT_1"), InputBinding.REALISTIC_SET_SPEED_LEVEL_LIMIT_1);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_SET_SPEED_LEVEL_LIMIT_2"), InputBinding.REALISTIC_SET_SPEED_LEVEL_LIMIT_2);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_SET_SPEED_LEVEL_LIMIT_3"), InputBinding.REALISTIC_SET_SPEED_LEVEL_LIMIT_3);
       g_currentMission:addHelpButtonText(g_i18n:getText("REALISTIC_SET_SPEED_LEVEL_LIMIT_4"), InputBinding.REALISTIC_SET_SPEED_LEVEL_LIMIT_4);
	end;
end;